<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMediaDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: media_details
         */
        Schema::create('media_details', function ($table) {
            $table->increments('id');
            $table->integer('media_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->text('title')->nullable();
            $table->text('images')->nullable();
            $table->text('file')->nullable();
            $table->text('description')->nullable();
            $table->text('data')->nullable();
            $table->text('summary')->nullable();
            $table->text('price')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('media_details');
    }
}
