Lavalite package that provides medium management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/medium`.

    "litepie/medium": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Medium\Providers\MediumServiceProvider::class,

And also add it to alias

    'Medium'  => Litepie\Medium\Facades\Medium::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\MediumTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Medium\Providers\MediumServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Medium\Providers\MediumServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Medium\Providers\MediumServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/medium/{modulename}

**User**

    http://path-to-route-folder/user/medium/{modulename}

**Public**

    http://path-to-route-folder/media


### API endpoints

**List**

    http://path-to-route-folder/api/user/medium/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/medium/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/medium/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/medium/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/medium/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/medium/{modulename}/{slug}
    METHOD: GET