<?php

namespace Litepie\Medium\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litepie\Medium\Interfaces\MediaTagRepositoryInterface;

class MediaTagPublicController extends BaseController
{
    // use MediaTagWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litepie\MediaTag\Interfaces\MediaTagRepositoryInterface $media_tag
     *
     * @return type
     */
    public function __construct(MediaTagRepositoryInterface $media_tag)
    {
        $this->repository = $media_tag;
        parent::__construct();
    }

    /**
     * Show media_tag's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $media_tags = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('medium::media_tag.names'))
            ->view('medium::public.media_tag.index')
            ->data(compact('media_tags'))
            ->output();
    }


    /**
     * Show media_tag.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $media_tag = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($media_tag->name . trans('medium::media_tag.name'))
            ->view('medium::public.media_tag.show')
            ->data(compact('media_tag'))
            ->output();
    }

}
