<?php

namespace Litepie\Medium\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediaDetailCategoryTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Medium\Models\MediaDetailCategory $media_detail_category)
    {
        return [
            'id'                => $media_detail_category->getRouteKey(),
            'key'               => [
                'public'    => $media_detail_category->getPublicKey(),
                'route'     => $media_detail_category->getRouteKey(),
            ], 
            'name'              => $media_detail_category->name,
            'slug'              => $media_detail_category->slug,
            'user_id'           => $media_detail_category->user_id,
            'deleted_at'        => $media_detail_category->deleted_at,
            'url'               => [
                'public'    => trans_url('medium/'.$media_detail_category->getPublicKey()),
                'user'      => guard_url('medium/media_detail_category/'.$media_detail_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$media_detail_category->status),
            'created_at'        => format_date($media_detail_category->created_at),
            'updated_at'        => format_date($media_detail_category->updated_at),
        ];
    }
}