<?php

namespace Litepie\Medium\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediaDetailTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Medium\Models\MediaDetail $media_detail)
    {
        return [
            'id'                => $media_detail->getRouteKey(),
            'key'               => [
                'public'    => $media_detail->getPublicKey(),
                'route'     => $media_detail->getRouteKey(),
            ], 
            'media_id'          => $media_detail->media_id,
            'category_id'       => $media_detail->category_id,
            'title'             => $media_detail->title,
            'images'            => $media_detail->images,
            'file'              => $media_detail->file,
            'description'       => $media_detail->description,
            'data'              => $media_detail->data,
            'summary'           => $media_detail->summary,
            'price'             => $media_detail->price,
            'deleted_at'        => $media_detail->deleted_at,
            'url'               => [
                'public'    => trans_url('medium/'.$media_detail->getPublicKey()),
                'user'      => guard_url('medium/media_detail/'.$media_detail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$media_detail->status),
            'created_at'        => format_date($media_detail->created_at),
            'updated_at'        => format_date($media_detail->updated_at),
        ];
    }
}