<?php

namespace Litepie\Medium\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediaTagTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Medium\Models\MediaTag $media_tag)
    {
        return [
            'id'                => $media_tag->getRouteKey(),
            'key'               => [
                'public'    => $media_tag->getPublicKey(),
                'route'     => $media_tag->getRouteKey(),
            ], 
            'name'              => $media_tag->name,
            'slug'              => $media_tag->slug,
            'user_id'           => $media_tag->user_id,
            'deleted_at'        => $media_tag->deleted_at,
            'url'               => [
                'public'    => trans_url('medium/'.$media_tag->getPublicKey()),
                'user'      => guard_url('medium/media_tag/'.$media_tag->getRouteKey()),
            ], 
            'status'            => trans('app.'.$media_tag->status),
            'created_at'        => format_date($media_tag->created_at),
            'updated_at'        => format_date($media_tag->updated_at),
        ];
    }
}