<?php

namespace Litepie\Medium\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediaTopicTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Medium\Models\MediaTopic $media_topic)
    {
        return [
            'id'                => $media_topic->getRouteKey(),
            'key'               => [
                'public'    => $media_topic->getPublicKey(),
                'route'     => $media_topic->getRouteKey(),
            ], 
            'topic'             => $media_topic->topic,
            'slug'              => $media_topic->slug,
            'user_id'           => $media_topic->user_id,
            'deleted_at'        => $media_topic->deleted_at,
            'url'               => [
                'public'    => trans_url('medium/'.$media_topic->getPublicKey()),
                'user'      => guard_url('medium/media_topic/'.$media_topic->getRouteKey()),
            ], 
            'status'            => trans('app.'.$media_topic->status),
            'created_at'        => format_date($media_topic->created_at),
            'updated_at'        => format_date($media_topic->updated_at),
        ];
    }
}