<?php

namespace Litepie\Medium\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TargetGroupTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Medium\Models\TargetGroup $target_group)
    {
        return [
            'id'                => $target_group->getRouteKey(),
            'key'               => [
                'public'    => $target_group->getPublicKey(),
                'route'     => $target_group->getRouteKey(),
            ], 
            'name'              => $target_group->name,
            'slug'              => $target_group->slug,
            'user_id'           => $target_group->user_id,
            'deleted_at'        => $target_group->deleted_at,
            'url'               => [
                'public'    => trans_url('medium/'.$target_group->getPublicKey()),
                'user'      => guard_url('medium/target_group/'.$target_group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$target_group->status),
            'created_at'        => format_date($target_group->created_at),
            'updated_at'        => format_date($target_group->updated_at),
        ];
    }
}